Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/339

  

Description

When the apache user is not part of the foreman group, the upgrade fails.

The code in 

https://github.com/theforeman/foreman-installer/blob/5a4f0d98390491fe4042f97d28ab779de8c709d0/katello/hooks/pre/30-upgrade.r

b#L166-L179 does check for the user not being in the group, but the method does not return "true" (or anything else that can be

interpreted as a positive result) and thus the rest of the installer thinks it failed.

Associated revisions

Revision 308c1935 - 04/04/2019 02:09 PM - Evgeni Golov

Fixes #26538 - return true if the user is not member of the group

History

#1 - 04/04/2019 11:47 AM - Evgeni Golov

- Project changed from Katello to Installer

- Category deleted (Installer)

#2 - 04/04/2019 11:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/339 added

#3 - 04/04/2019 03:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset 308c1935fbbc6226c74fb7c102242f4779cc7a6b.

#4 - 04/04/2019 03:30 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 1.22.0 added

#5 - 04/05/2019 08:12 AM - Tomer Brisker

- Fixed in Releases 1.21.2 added

#6 - 04/22/2019 08:51 AM - Tomer Brisker

- Category set to foreman-installer script

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

https://github.com/theforeman/foreman-installer/blob/5a4f0d98390491fe4042f97d28ab779de8c709d0/katello/hooks/pre/30-upgrade.rb#L166-L179
https://github.com/theforeman/foreman-installer/blob/5a4f0d98390491fe4042f97d28ab779de8c709d0/katello/hooks/pre/30-upgrade.rb#L166-L179
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/308c1935fbbc6226c74fb7c102242f4779cc7a6b
http://www.tcpdf.org

